> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取价格

> 获取模型的定价信息

## 概述

使用此端点可以列出当前对外可见的活跃模型定价信息。

如需查看某个模型的完整定价详情，包括结构化定价和溯源信息，请优先使用 [获取模型定价](/api-reference/models/get-model)。

## 查询参数

<ParamField query="provider" type="string">
  可选的提供方筛选，例如 `openai`、`anthropic` 或 `google`。
</ParamField>

<ParamField query="tag" type="string">
  可选的模型标签筛选，例如 `chat`、`image`、`video`、`embedding` 或 `translation`。
</ParamField>

## 响应

<ResponseField name="object" type="string">
  始终为 `pricing`。
</ResponseField>

<ResponseField name="updated_at" type="string">
  响应中包含的最新定价条目的 ISO 时间戳。
</ResponseField>

<ResponseField name="currency" type="string">
  始终为 `USD`。
</ResponseField>

<ResponseField name="data" type="array">
  定价条目数组。每一项包括 `model`、`provider`、`is_lock_price`、`capabilities`、`aliases`，以及上方交互式 schema 返回的公开标量或结构化定价摘要字段。
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.tokenlab.sh/v1/pricing?provider=openai&tag=chat" \
    -H "Authorization: Bearer sk-your-api-key"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.tokenlab.sh/v1/pricing",
      headers={"Authorization": "Bearer sk-your-api-key"},
      params={"provider": "openai", "tag": "chat"}
  )

  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://api.tokenlab.sh/v1/pricing?provider=openai&tag=chat',
    {
      headers: { 'Authorization': 'Bearer sk-your-api-key' }
    }
  );

  const data = await response.json();
  console.log(data);
  ```

  ```go Go theme={null}
  package main

  import (
      "encoding/json"
      "fmt"
      "net/http"
  )

  func main() {
      req, _ := http.NewRequest("GET", "https://api.tokenlab.sh/v1/pricing?provider=openai&tag=chat", nil)
      req.Header.Set("Authorization", "Bearer sk-your-api-key")

      client := &http.Client{}
      resp, _ := client.Do(req)
      defer resp.Body.Close()

      var result map[string]interface{}
      json.NewDecoder(resp.Body).Decode(&result)
      fmt.Println(result)
  }
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://api.tokenlab.sh/v1/pricing?provider=openai&tag=chat');

  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer sk-your-api-key'
      ]
  ]);

  $response = curl_exec($ch);
  curl_close($ch);

  $data = json_decode($response, true);
  print_r($data);
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "object": "pricing",
    "updated_at": "2026-04-20T00:00:00.000Z",
    "currency": "USD",
    "data": [
      {
        "model": "gpt-4o",
        "provider": "openai",
        "is_lock_price": false,
        "capabilities": ["chat"],
        "aliases": ["gpt-4o-latest"],
        "pricing": {
          "input_per_1m": "2.50",
          "output_per_1m": "10.00",
          "per_request": null,
          "is_lock_price": false,
          "currency": "USD"
        }
      }
    ]
  }
  ```
</ResponseExample>

<Note>
  使用上面的交互式 OpenAPI 面板获取确切的响应 schema。公开定价条目也可能暴露 `lock_price_per_request`、`has_complex_pricing`、`supported_operations`、`pricing_summary` 和 `pricing_provenance`。
</Note>
